#
Summary:	Network performance measurement tool
Summary(pl.UTF-8):	Narzędzie do szacowania wydajności sieci
Name:		iperf
Version:	2.0.13
Release:	1
License:	BSD-like
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/iperf2/%{name}-%{version}.tar.gz
# Source0-md5:	31ea1c6d5cbf80b16ff3abe4288dad5e
Patch0:		%{name}-2.0.5-tcpdual.patch
URL:		http://iperf2.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iperf is a network performance measurement tool.

While tools to measure network performance, such as ttcp, exist, most
are very old and have confusing options. Iperf was developed as a
modern alternative for measuring TCP and UDP bandwidth performance.

Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning
of various parameters and UDP characteristics. Iperf reports
bandwidth, delay jitter, datagram loss.

%description -l pl.UTF-8
Iperf to narzędzie do szacowania wydajności sieci.

O ile narzędzia do określania wydajności sieci, takie jak ttcp,
istnieją, to większość z nich jest bardzo stara i ma mylące opcje.
Iperf został stworzony jako współczesna alternatywa do szacowania
wydajności pasma TCP i UDP.

Iperf to narzędzie określające maksymalne pasmo TCP, umożliwiające
dostrajanie różnych parametrów i charakterystyk UDP. Iperf raportuje
pasmo, opóźnienia i straty datagramów.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html doc/*.gif
%attr(755,root,root) %{_bindir}/iperf
%{_mandir}/man1/*
%changelog
* Fri Jun 26 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/iperf.git;a=log;h=master

* Tue Jun 23 2020 Marcin Krol <hawk@tld-linux.org> 4522510
- df

* Tue Jun 23 2020 Marcin Krol <hawk@tld-linux.org> 72038ad
- moved to iperf2 code, updated to 2.0.13, patch0 needs update?

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c0d9ea6
- build fixed

* Wed Mar 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a94919
- rel 2; don't end server in tcp bidirect mode

* Wed Mar 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb78421
- up to 2.0.5

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 96343b8
- fixed Group

* Sat Nov 15 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> eaf8a74
- updated to 2.0.4
- switched to new URL and Source0 URL
- added manpages
- adaptarized

* Sun Aug 05 2007 twittner <twittner@pld-linux.org> 0354ccb
- added omitted picture to documentation

* Thu Feb 22 2007 wrobell <wrobell@pld-linux.org> 4174971
- rel. 1 (after version change)
- fixed build requirements

* Thu Feb 22 2007 wrobell <wrobell@pld-linux.org> da5f4ff
- ver. 2.0.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c2018e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f439c0
- converted to UTF-8

* Sun Jul 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 5e5467c
- fixed build on amd64, release 2

* Sat Jul 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 1cc9859
- use configure macro to pass proper flags, BR: libstdc++-devel

* Sat Jul 17 2004 domelu <domelu@pld-linux.org> f56d117
- rel 1, STBR

* Sat Jul 17 2004 domelu <domelu@pld-linux.org> a25f166
- %build hack: s/%{__make}/make/g (sick makefile)

* Thu Jul 15 2004 Jakub Bogusz <qboosh@pld-linux.org> bcd799b
- pl

* Thu Jul 15 2004 domelu <domelu@pld-linux.org> e3ba045
- init
- desc taken from mdk spec file

